Module org.jfree.chart3d
Package org.jfree.chart3d.data

# Interface KeyedValue<K extends Comparable<K>,T>

Type Parameters:
  `K` - The key type.
  `T` - The value type.

All Known Implementing Classes:
  `DefaultKeyedValue`

public interface KeyedValue<K extends Comparable<K>,T>
A `(key, value)` pair that is used as a building block for some data structures for the charts.

## Method Summary

Modifier and Type
Method
Description
`K`
`getKey()`
Returns the key (by design, this key is required to be non-`null`).
`T`
`getValue()`
Returns the value.

## Method Details

### getKey

K getKey()
Returns the key (by design, this key is required to be non-`null`).

Returns:
  The key (never `null`).

### getValue

T getValue()
Returns the value.

Returns:
  The value (possibly `null`).